# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_CompositVariableInstance Class Reference

This class corresponds to the instanciation of a
variable group. It allows the setting of more than
one variable in a variable instance. It is useful
when a method takes a collection of homogeneous
objects as argument. For example a wire needs
edges as argument.
.

`#include <Dynamic_CompositVariableInstance.hxx>`

Inheritance diagram for Dynamic_CompositVariableInstance:

[legend]

## Public Member Functions

Standard_EXPORT | Dynamic_CompositVariableInstance ()
| Creates a new empty instance of CompositVariable- Instance. .
virtual Standard_EXPORT void | Variable (const Handle(Dynamic_Variable)&avariable)
| Sets <avariable> into the collection of variable. .
Standard_EXPORT Handle_Dynamic_VariableNode | FirstVariableNode () const
| Returns the first VariableNode useful to explore the list of variables addressed by <me>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Dynamic_VariableNode | thefirstvariablenode

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_CompositVariableInstance::Dynamic_CompositVariableInstance | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_Dynamic_VariableNode Dynamic_CompositVariableInstance::FirstVariableNode | ( |  | ) | const

Standard_EXPORT const Dynamic_CompositVariableInstance::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Dynamic_AbstractVariableInstance.

virtual Standard_EXPORT void Dynamic_CompositVariableInstance::Variable | ( | const Handle(Dynamic_Variable)& | avariable | ) | `[virtual]`

| Implements Dynamic_AbstractVariableInstance.

## Field Documentation

Handle_Dynamic_VariableNode Dynamic_CompositVariableInstance::thefirstvariablenode `[private]`

The documentation for this class was generated from the following file:

- Dynamic_CompositVariableInstance.hxx